<div class="relative rounded-lg shadow-lg m-3 ring-1 ring-gray-500">
  <img class="object-cover w-32 h-32 rounded-lg" src="{{ url }}" alt="">
  <button (click)="delete()" class="absolute bottom-0 right-0 -mr-3 -mb-3 bg-red-500 text-red-100 rounded-full hover:bg-red-600 hover:text-white focus:outline-none focus:ring-2 focus:ring-red-500">
    <svg class="fill-current h-8 w-8" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M12 24C5.383 24 0 18.617 0 12S5.383 0 12 0s12 5.383 12 12-5.383 12-12 12zm0-23C5.935 1 1 5.935 1 12s4.935 11 11 11 11-4.935 11-11S18.065 1 12 1z"/><path d="M17 17.5c-.134 0-.259-.052-.354-.146L12 12.707l-4.646 4.646c-.095.095-.22.147-.354.147s-.259-.052-.354-.146S6.5 17.134 6.5 17s.052-.259.146-.354L11.293 12 6.646 7.354C6.552 7.259 6.5 7.134 6.5 7s.052-.259.146-.354S6.866 6.5 7 6.5s.259.052.354.146L12 11.293l4.646-4.646c.095-.095.22-.147.354-.147s.259.052.354.146.146.22.146.354-.052.259-.146.354L12.707 12l4.646 4.646c.095.095.147.22.147.354s-.052.259-.146.354-.22.146-.354.146z"/></svg>
  </button>
</div>
